Package: org.grails.web.databinding.bindingsource

## [Java] Class InvalidRequestBodyException

- org.grails.web.databinding.bindingsource.InvalidRequestBodyException

-     public class InvalidRequestBodyException
      extends DataBindingSourceCreationException

  Represents an error creation a data binding source because the request body is invalid. Examples would be malformed JSON or XML.

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidRequestBodyException (java.lang.Exception cause)`

- - ### Field Detail

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public InvalidRequestBodyException(java.lang.Exception cause)